# PetscContainerCreate

Creates a PETSc object that has room to hold a single pointer. This allows one to attach any type of data (accessible through a pointer) with the PetscObjectCompose() function to a PetscObject. The data item itself is attached by a call to PetscContainerSetPointer.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscContainerCreate(MPI_Comm comm,PetscContainer *container)

Collective on MPI_Comm

### Input Parameters

comm -MPI communicator that shares the object

### Output Parameters

container -the container created

### See Also

PetscContainerDestroy(), PetscContainerSetPointer(), PetscContainerGetPointer()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages